# Others

### cancelClaim

```solidity
function cancelClaim(uint256 _claimId_) external returns (bool)
```

Cancel a claim.

Requirements:

* `nonReentrant` The function must not be reentrant.
* `whenNotPaused` The function must not be paused.

Events:

* `ClaimAssessmentConsensusReached` Emitted when the claim is canceled successfully.

| Name      | Type    | Description   |
| --------- | ------- | ------------- |
| *claimId* | uint256 | The claim id. |

| Name | Type | Description                                 |
| ---- | ---- | ------------------------------------------- |
| \[0] | bool | True if the claim is canceled successfully. |

#### ClaimAssessmentConsensusReached

```solidity
event ClaimAssessmentConsensusReached(uint256 claimId, ClaimStatus status)
```

This event is emitted when the claim is consensus.

| Name    | Type                                                                                           | Description       |
| ------- | ---------------------------------------------------------------------------------------------- | ----------------- |
| claimId | uint256                                                                                        | The claim id.     |
| status  | [ClaimStatus](/covest-insaas-protocol/insaas-smart-contracts/claim-case-states.md#claimstatus) | The claim status. |

### getClaimData

```solidity
function getClaimData(uint256 _claimId_) external view returns (ClaimData)
```

Get the claim data.

| Name      | Type    | Description   |
| --------- | ------- | ------------- |
| *claimId* | uint256 | The claim id. |

| Name | Type                                                                                       | Description     |
| ---- | ------------------------------------------------------------------------------------------ | --------------- |
| \[0] | [ClaimData](/covest-insaas-protocol/insaas-smart-contracts/claim-case-states.md#claimdata) | The claim data. |

### getClaimsData

```solidity
function getClaimsData(uint256[] _claimIds_) external view returns (ClaimData[])
```

Get the claims data.

| Name       | Type       | Description    |
| ---------- | ---------- | -------------- |
| *claimIds* | uint256\[] | The claim ids. |

| Name | Type                                                                                           | Description      |
| ---- | ---------------------------------------------------------------------------------------------- | ---------------- |
| \[0] | [ClaimData\[\]](/covest-insaas-protocol/insaas-smart-contracts/claim-case-states.md#claimdata) | The claims data. |

### getClaimStatus

```solidity
function getClaimStatus(uint256 _claimId_) external view returns (ClaimStatus)
```

Get the claim status.

| Name      | Type    | Description   |
| --------- | ------- | ------------- |
| *claimId* | uint256 | The claim id. |

| Name | Type                                                                                           | Description       |
| ---- | ---------------------------------------------------------------------------------------------- | ----------------- |
| \[0] | [ClaimStatus](/covest-insaas-protocol/insaas-smart-contracts/claim-case-states.md#claimstatus) | The claim status. |

### getClaimsStatus

```solidity
function getClaimsStatus(uint256[] _claimIds_) external view returns (ClaimStatus[])
```

Get the claims status.

| Name       | Type       | Description    |
| ---------- | ---------- | -------------- |
| *claimIds* | uint256\[] | The claim ids. |

| Name | Type                                                                                               | Description        |
| ---- | -------------------------------------------------------------------------------------------------- | ------------------ |
| \[0] | [ClaimStatus\[\]](/covest-insaas-protocol/insaas-smart-contracts/claim-case-states.md#claimstatus) | The claims status. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.covestlabs.com/covest-insaas-protocol/insaas-smart-contracts/policyholder/claim-manager/others.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
